Package org.drinkless.tdlib

# Class TdApi.StorageStatistics

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.StorageStatistics

Enclosing class:
  TdApi

public static class TdApi.StorageStatistics extends TdApi.Object
Contains the exact storage usage statistics split by chats and file type.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `TdApi.StorageStatisticsByChat[]`
  `byChat`
  Statistics split by chats.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `count`
  Total number of files.
  `long`
  `size`
  Total size of files, in bytes.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StorageStatistics()`
  Contains the exact storage usage statistics split by chats and file type.
  `StorageStatistics(long size, int count, TdApi.StorageStatisticsByChat[] byChat)`
  Contains the exact storage usage statistics split by chats and file type.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### size

    public long size
    Total size of files, in bytes.

  - ### count

    public int count
    Total number of files.

  - ### byChat

    public TdApi.StorageStatisticsByChat[] byChat
    Statistics split by chats.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### StorageStatistics

    public StorageStatistics()
    Contains the exact storage usage statistics split by chats and file type.

  - ### StorageStatistics

    public StorageStatistics(long size, int count, TdApi.StorageStatisticsByChat[] byChat)
    Contains the exact storage usage statistics split by chats and file type.
    Parameters:
      `size` - Total size of files, in bytes.
      `count` - Total number of files.
      `byChat` - Statistics split by chats.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR